function onBegin()
	disableMovement()
	-- there are two cases where you forget something:
	-- a) Isle_GetOut and !sawDeadBody
	-- b) Isle_FindMyself and (!sparedMadeline2 || !killedMadeline2)
	if (getFlag("Isle_GetOut") and not getFlag("sawDeadBody")) or
		(getFlag("Isle_FindMyself") and (not (getFlag("sparedMadeline2") or getFlag("killedMadeline2"))))  then
		say("CC_Aques_endForgotSomething")
		walk(-40)
	else
		player.ForceCameraUpdate = true
		run(12,false)
		playMusic("event:/CC/CC_BrutalOrchestra/CC_MBO_AudienceOfOne")
		run(1400,false)
		teleport(2880,216,"A10 QUARRY")
	end
end

function onEnd()
	enableMovement()
end